From: [email-masked] (Cicely Ridley)
Date: Mon, 13 Dec 93 12:30:58 MST

12/13/93

 Memo to Ken Hansen

 From Cicely Ridley

 cc Ben Foster, Barb Emery, Pete Morreale

 Many thanks for your help in wrestling with the (n)update problems last
 week.  I think it may be useful to summarize our combined conclusions:

 0) 'plcopy' fails and cannot be used to generate a new format library from
    an old one.

 1) Update files in the old format are accepted by nupdate although a
    message indicates that they go through a translation process.

 2) I replaced the update command:

     update -p pl -i pdir -c tigcm -o id ns um || set erp = 1

    by

     nupdate -p pl -i pdir -c tigcm -o "id ns um" || set erp = 1

 3) I use

     -o "id ns um"

    rather than

     -o id,ns,um

    since I found that, with the second format, a single entry is ignored.

 4) Since the repeated translations described in '1)' must ultimately cost,
    I have updated my libraries using nupdate in the following command
    sequence:

 #
 # read old update library from mass store
 #
 set dir = $TMPDIR
 cd $dir
 set locl = "ECRPST.TGCM8F"
 set remot = "/ECRIDLEY/ECRPST/TGCM8F"
 if (! -f ECRPST.TGCM8F) then
   msread -f tr $locl $remot
 endif
 ln $locl pl
 #
 # Read update mod file (empty here).
 #
 cat > pdir << 'EOF'
 'EOF'
 #
 # edit update library
 #
 # generate unsequenced source from original update library
 #
 nupdate -p pl -i pdir -s source -f -o "id ns um"
 #
 # generate new update library
 #
 #  "nd" insures that the resultant library consists of a single file.
 #  The default produces a directory in which each update deck has a
 #  separate file.
 #
 nupdate -n newpl -i source -o "nd"
 #
 # Create new sequenced source for reference. (I checked that sequence
 # numbers matched the original library.)  Copy to sting.
 #
 nupdate -p newpl -s source2 -f -o "id sq um"
 rcp source2 ecridley@sting:/d/ecridley/tgcm8n
 cp newpl ECRPST.TGCM8NF
 #
 # Write new update library to mass store
 #
 #set locl = "newpl"
 #set remot = "/ECRIDLEY/ECRPST/TGCM8NF
 #mswrite -f tr -nowait -t 367 -w ECRIDLEY $locl $remot

 5) Old modification decks appear to present no problem